# Uses of Class
org.globus.gsi.X509Extension

Packages that use X509Extension
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.gsi.proxy.ext

## Uses of X509Extension in org.globus.gsi

Methods in org.globus.gsi that return X509Extension
Modifier and Type
Method
Description
`X509Extension`
X509ExtensionSet.`add(X509Extension extension)`
Adds a X509Extension object to this set.
`X509Extension`
X509ExtensionSet.`get(String oid)`
Retrieves X509Extension by given oid.
`X509Extension`
X509ExtensionSet.`remove(String oid)`
Removes X509Extension by given oid.
Methods in org.globus.gsi with parameters of type X509Extension
Modifier and Type
Method
Description
`X509Extension`
X509ExtensionSet.`add(X509Extension extension)`
Adds a X509Extension object to this set.

## Uses of X509Extension in org.globus.gsi.bc

Subclasses of X509Extension in org.globus.gsi.bc
Modifier and Type
Class
Description
`class`
`BouncyCastleX509Extension`
A convenience class for creating X.509 extensions from `DEREncodable` objects.

## Uses of X509Extension in org.globus.gsi.proxy.ext

Subclasses of X509Extension in org.globus.gsi.proxy.ext
Modifier and Type
Class
Description
`class`
`GlobusProxyCertInfoExtension`
Represents ProxyCertInfo X.509 extension.
`class`
`ProxyCertInfoExtension`
Represents ProxyCertInfo X.509 extension.